Skip to main content
POST
/
api
/
agent
/
readylinks
Create a new ReadyLink
curl --request POST \
  --url https://app.auditynow.com/api/agent/readylinks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Q2 2026 Lead Gen",
  "consultantName": "Jane Consultant",
  "consultantCompany": "JAC Consulting",
  "bookingLink": "https://calendly.com/jane"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "slug": "<string>",
    "name": "<string>",
    "fullUrl": "<string>",
    "isActive": true,
    "leadCount": 123,
    "domainStatus": "not_configured",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "assessmentConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "assessmentConfigName": "<string>",
    "bookingLink": "<string>",
    "consultantName": "<string>",
    "consultantCompany": "<string>",
    "consultantLogo": "<string>",
    "customDescription": "<string>",
    "customDomain": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.auditynow.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

A Personal Access Token issued from https://app.auditynow.com/dashboard/settings/api-tokens. Format: aky_<32 random chars>.

Body

application/json
name
string
required

Name for this ReadyLink.

Required string length: 1 - 100
assessmentConfigId
string<uuid> | null

Optional UUID of an existing assessment config template to copy.

Optional booking/scheduling link.

consultantName
string | null

Optional customized consultant name.

Required string length: 1 - 100
consultantCompany
string | null

Optional customized company name.

Required string length: 1 - 100
consultantLogo
string<uri> | null

Optional logo URL.

Maximum string length: 500
customDescription
string | null

Optional custom description.

Maximum string length: 500

Response

ReadyLink created

data
object
required

A ReadyLink survey distribution link with customization and lead tracking.